/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.ffxc.service.impl;

import org.springblade.modules.ffxc.pojo.entity.JwtdFfxcEntity;
import org.springblade.modules.ffxc.pojo.vo.JwtdFfxcVO;
import org.springblade.modules.ffxc.excel.JwtdFfxcExcel;
import org.springblade.modules.ffxc.mapper.JwtdFfxcMapper;
import org.springblade.modules.ffxc.service.IJwtdFfxcService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警务团队_防范宣传 服务实现类
 *
 * @author BladeX
 * @since 2024-11-05
 */
@Service
public class JwtdFfxcServiceImpl extends BaseServiceImpl<JwtdFfxcMapper, JwtdFfxcEntity> implements IJwtdFfxcService {

	@Override
	public IPage<JwtdFfxcVO> selectJwtdFfxcPage(IPage<JwtdFfxcVO> page, JwtdFfxcVO jwtdFfxc) {
		return page.setRecords(baseMapper.selectJwtdFfxcPage(page, jwtdFfxc));
	}

	@Override
	public List<JwtdFfxcExcel> exportJwtdFfxc(Wrapper<JwtdFfxcEntity> queryWrapper) {
		List<JwtdFfxcExcel> jwtdFfxcList = baseMapper.exportJwtdFfxc(queryWrapper);
		//jwtdFfxcList.forEach(jwtdFfxc -> {
		//	jwtdFfxc.setTypeName(DictCache.getValue(DictEnum.YES_NO, JwtdFfxcEntity.getType()));
		//});
		return jwtdFfxcList;
	}
}
