/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.ffxc.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.ffxc.pojo.entity.JwtdFfxcEntity;
import org.springblade.modules.ffxc.pojo.vo.JwtdFfxcVO;
import java.util.Objects;

/**
 * 警务团队_防范宣传 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-11-05
 */
public class JwtdFfxcWrapper extends BaseEntityWrapper<JwtdFfxcEntity, JwtdFfxcVO>  {

	public static JwtdFfxcWrapper build() {
		return new JwtdFfxcWrapper();
 	}

	@Override
	public JwtdFfxcVO entityVO(JwtdFfxcEntity jwtdFfxc) {
		JwtdFfxcVO jwtdFfxcVO = Objects.requireNonNull(BeanUtil.copyProperties(jwtdFfxc, JwtdFfxcVO.class));

		//User createUser = UserCache.getUser(jwtdFfxc.getCreateUser());
		//User updateUser = UserCache.getUser(jwtdFfxc.getUpdateUser());
		//jwtdFfxcVO.setCreateUserName(createUser.getName());
		//jwtdFfxcVO.setUpdateUserName(updateUser.getName());

		return jwtdFfxcVO;
	}

}
