/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.ffxcLlls.excel;


import lombok.Data;

import java.io.Serializable;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serial;


/**
 * 警务团队_防范宣传_浏览历史 Excel实体类
 *
 * @author BladeX
 * @since 2024-11-05
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JwtdFfxcLllsExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 防范宣传id
	 */
	@ColumnWidth(20)
	@ExcelProperty("防范宣传id")
	private Long ffxcId;
	/**
	 * 用户id
	 */
	@ColumnWidth(20)
	@ExcelProperty("用户id")
	private Long userId;
	/**
	 * 浏览状态
	 */
	@ColumnWidth(20)
	@ExcelProperty("浏览状态")
	private String llzt;

}
