/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.ffxcLlls.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springblade.core.tenant.mp.TenantEntity;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 警务团队_防范宣传_浏览历史 实体类
 *
 * @author BladeX
 * @since 2024-11-05
 */
@Data
@TableName("jwtd_ffxc_llls")
@Schema(description = "JwtdFfxcLllsEntity对象")
@EqualsAndHashCode(callSuper = true)
public class JwtdFfxcLllsEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 防范宣传id
	 */
	@Schema(description = "防范宣传id")
	private Long ffxcId;
	/**
	 * 用户id
	 */
	@Schema(description = "用户id")
	private Long userId;
	/**
	 * 浏览状态
	 */
	@Schema(description = "浏览状态")
	private String llzt;
	/**
	 * 积分
	 */
	@Schema(description = "积分")
	private Integer jf;
	/**
	 * 浏览人姓名
	 */
	@TableField(exist = false)
	private String name;
}
