/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.ffxcLlls.service;

import com.baomidou.mybatisplus.core.conditions.Wrapper;
import org.springblade.modules.ffxc.pojo.entity.JwtdFfxcEntity;
import org.springblade.modules.ffxcLlls.pojo.entity.JwtdFfxcLllsEntity;
import org.springblade.modules.ffxcLlls.pojo.vo.JwtdFfxcLllsVO;
import org.springblade.modules.ffxcLlls.excel.JwtdFfxcLllsExcel;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseService;
import java.util.List;

/**
 * 警务团队_防范宣传_浏览历史 服务类
 *
 * @author BladeX
 * @since 2024-11-05
 */
public interface IJwtdFfxcLllsService extends BaseService<JwtdFfxcLllsEntity> {
	/**
	 * 自定义分页
	 *
	 * @param page 分页参数
	 * @param jwtdFfxcLlls 查询参数
	 * @return IPage<JwtdFfxcLllsVO>
	 */
	IPage<JwtdFfxcLllsVO> selectJwtdFfxcLllsPage(IPage<JwtdFfxcLllsVO> page, JwtdFfxcLllsVO jwtdFfxcLlls);

	/**
	 * 导出数据
	 *
	 * @param queryWrapper 查询条件
	 * @return List<JwtdFfxcLllsExcel>
	 */
	List<JwtdFfxcLllsExcel> exportJwtdFfxcLlls(Wrapper<JwtdFfxcLllsEntity> queryWrapper);

    List<JwtdFfxcEntity> getFfxcLljl(Long id);

	List<JwtdFfxcLllsEntity> selectLllsByUserIdAndFfxcId(JwtdFfxcLllsEntity jwtdFfxcLlls);
}
