/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdJfjl.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springblade.core.tenant.mp.TenantEntity;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 警务团队_积分记录 实体类
 *
 * @author BladeX
 * @since 2024-11-11
 */
@Data
@TableName("jwtd_jfjl")
@Schema(description = "JwtdJfjlEntity对象")
@EqualsAndHashCode(callSuper = true)
public class JwtdJfjlEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 用户id
	 */
	@Schema(description = "用户id")
	private Long userId;
	/**
	 * 1-积分获取记录  2-积分兑换记录
	 */
	@Schema(description = "1-积分获取记录  2-积分兑换记录")
	private String type;
	/**
	 * 积分id（对应ffxc表和dhjl表）
	 */
	@Schema(description = "积分id（对应ffxc表和dhjl表）")
	private Long jfId;
	/**
	 * 积分
	 */
	@Schema(description = "积分")
	private Integer jf;
	@TableField(exist = false)
	private String name;
	@TableField(exist = false)
	private String phone;
	@TableField(exist = false)
	private String sfzh;
	@TableField(exist = false)
	private String dz;
	@TableField(exist = false)
	private String zjf;
	@TableField(exist = false)
	private String dhjf;
	@TableField(exist = false)
	private String ddbh;
	@TableField(exist = false)
	private String xcbt;
	@TableField(exist = false)
	private String fbdw;
	@TableField(exist = false)
	private String spsl;
	@TableField(exist = false)
	private String xhjf;
	@TableField(exist = false)
	private String lqzt;
	@TableField(exist = false)
	private String fhr;
}
