/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdJfjl.service.impl;

import org.springblade.modules.jwtdJfjl.pojo.entity.JwtdJfjlEntity;
import org.springblade.modules.jwtdJfjl.pojo.vo.JwtdJfjlVO;
import org.springblade.modules.jwtdJfjl.excel.JwtdJfjlExcel;
import org.springblade.modules.jwtdJfjl.mapper.JwtdJfjlMapper;
import org.springblade.modules.jwtdJfjl.service.IJwtdJfjlService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警务团队_积分记录 服务实现类
 *
 * @author BladeX
 * @since 2024-11-11
 */
@Service
public class JwtdJfjlServiceImpl extends BaseServiceImpl<JwtdJfjlMapper, JwtdJfjlEntity> implements IJwtdJfjlService {

	@Override
	public IPage<JwtdJfjlVO> selectJwtdJfjlPage(IPage<JwtdJfjlVO> page, JwtdJfjlVO jwtdJfjl) {
		return page.setRecords(baseMapper.selectJwtdJfjlPage(page, jwtdJfjl));
	}

	@Override
	public List<JwtdJfjlExcel> exportJwtdJfjl(Wrapper<JwtdJfjlEntity> queryWrapper) {
		List<JwtdJfjlExcel> jwtdJfjlList = baseMapper.exportJwtdJfjl(queryWrapper);
		//jwtdJfjlList.forEach(jwtdJfjl -> {
		//	jwtdJfjl.setTypeName(DictCache.getValue(DictEnum.YES_NO, JwtdJfjlEntity.getType()));
		//});
		return jwtdJfjlList;
	}

	@Override
	public List<JwtdJfjlEntity> getJlList(String type, Long userId) {
		return baseMapper.getJlList(type, userId);
	}

	@Override
	public List<JwtdJfjlEntity> getHqjl(Long userId) {
		return baseMapper.getHqjl(userId);
	}

	@Override
	public List<JwtdJfjlEntity> getDhjl(Long userId) {
		return baseMapper.getDhjl(userId);
	}

}
