/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdJwgk.excel;


import lombok.Data;

import java.io.Serializable;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serial;


/**
 * 警务团队_警务公开 Excel实体类
 *
 * @author BladeX
 * @since 2024-11-06
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JwtdJwgkExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("姓名")
	private String name;
	/**
	 * 性别
	 */
	@ColumnWidth(20)
	@ExcelProperty("性别")
	private String sex;
	/**
	 * 警号
	 */
	@ColumnWidth(20)
	@ExcelProperty("警号")
	private String jh;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String phone;
	/**
	 * 管辖社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("管辖社区")
	private Long gxsqId;
	/**
	 * 所属警务室
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属警务室")
	private Long jwsId;
	/**
	 * 所属派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属派出所")
	private Long pcsId;
	/**
	 * 职务类别
	 */
	@ColumnWidth(20)
	@ExcelProperty("职务类别")
	private String zwlb;
	/**
	 * 工作职责
	 */
	@ColumnWidth(20)
	@ExcelProperty("工作职责")
	private String gzzz;
	/**
	 * 照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("照片")
	private String zp;

}
