/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdJwgk.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springblade.core.tenant.mp.TenantEntity;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 警务团队_警务公开 实体类
 *
 * @author BladeX
 * @since 2024-11-06
 */
@Data
@TableName("jwtd_jwgk")
@Schema(description = "JwtdJwgkEntity对象")
@EqualsAndHashCode(callSuper = true)
public class JwtdJwgkEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 姓名
	 */
	@Schema(description = "姓名")
	private String name;
	/**
	 * 性别
	 */
	@Schema(description = "性别")
	private String sex;
	/**
	 * 警号
	 */
	@Schema(description = "警号")
	private String jh;
	/**
	 * 联系电话
	 */
	@Schema(description = "联系电话")
	private String phone;
	/**
	 * 管辖社区
	 */
	@Schema(description = "管辖社区")
	private Long gxsqId;
	/**
	 * 所属警务室
	 */
	@Schema(description = "所属警务室")
	private Long jwsId;
	/**
	 * 所属派出所
	 */
	@Schema(description = "所属派出所")
	private Long pcsId;
	/**
	 * 职务类别
	 */
	@Schema(description = "职务类别")
	private String zwlb;
	/**
	 * 工作职责
	 */
	@Schema(description = "工作职责")
	private String gzzz;
	/**
	 * 照片
	 */
	@Schema(description = "照片")
	private String zp;
	@TableField(exist = false)
	private String ssdw;
	@TableField(exist = false)
	private String ssdwMc;
	@TableField(exist = false)
	private String gxsqMc;
	@TableField(exist = false)
	private String jwsmc;
}
