/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdJwgk.service.impl;

import org.springblade.modules.jwtdJwgk.pojo.entity.JwtdJwgkEntity;
import org.springblade.modules.jwtdJwgk.pojo.vo.JwtdJwgkVO;
import org.springblade.modules.jwtdJwgk.excel.JwtdJwgkExcel;
import org.springblade.modules.jwtdJwgk.mapper.JwtdJwgkMapper;
import org.springblade.modules.jwtdJwgk.service.IJwtdJwgkService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警务团队_警务公开 服务实现类
 *
 * @author BladeX
 * @since 2024-11-06
 */
@Service
public class JwtdJwgkServiceImpl extends BaseServiceImpl<JwtdJwgkMapper, JwtdJwgkEntity> implements IJwtdJwgkService {

	@Override
	public IPage<JwtdJwgkVO> selectJwtdJwgkPage(IPage<JwtdJwgkVO> page, JwtdJwgkVO jwtdJwgk) {
		return page.setRecords(baseMapper.selectJwtdJwgkPage(page, jwtdJwgk));
	}

	@Override
	public List<JwtdJwgkExcel> exportJwtdJwgk(Wrapper<JwtdJwgkEntity> queryWrapper) {
		List<JwtdJwgkExcel> jwtdJwgkList = baseMapper.exportJwtdJwgk(queryWrapper);
		//jwtdJwgkList.forEach(jwtdJwgk -> {
		//	jwtdJwgk.setTypeName(DictCache.getValue(DictEnum.YES_NO, JwtdJwgkEntity.getType()));
		//});
		return jwtdJwgkList;
	}

	@Override
	public JwtdJwgkEntity selectJh(String jh) {
		return baseMapper.selectJh(jh);
	}

}
