/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdJwgk.wrapper;

import org.springblade.core.mp.support.BaseEntityWrapper;
import org.springblade.core.tool.utils.BeanUtil;
import org.springblade.modules.jwtdJwgk.pojo.entity.JwtdJwgkEntity;
import org.springblade.modules.jwtdJwgk.pojo.vo.JwtdJwgkVO;
import java.util.Objects;

/**
 * 警务团队_警务公开 包装类,返回视图层所需的字段
 *
 * @author BladeX
 * @since 2024-11-06
 */
public class JwtdJwgkWrapper extends BaseEntityWrapper<JwtdJwgkEntity, JwtdJwgkVO>  {

	public static JwtdJwgkWrapper build() {
		return new JwtdJwgkWrapper();
 	}

	@Override
	public JwtdJwgkVO entityVO(JwtdJwgkEntity jwtdJwgk) {
		JwtdJwgkVO jwtdJwgkVO = Objects.requireNonNull(BeanUtil.copyProperties(jwtdJwgk, JwtdJwgkVO.class));

		//User createUser = UserCache.getUser(jwtdJwgk.getCreateUser());
		//User updateUser = UserCache.getUser(jwtdJwgk.getUpdateUser());
		//jwtdJwgkVO.setCreateUserName(createUser.getName());
		//jwtdJwgkVO.setUpdateUserName(updateUser.getName());

		return jwtdJwgkVO;
	}

}
