/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdSpgl.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springblade.core.tenant.mp.TenantEntity;
import lombok.EqualsAndHashCode;
import org.springblade.modules.jwtdSpglBhjl.pojo.entity.JwtdSpglBhjlEntity;

import java.io.Serial;
import java.util.List;

/**
 * 警务团队_商品管理 实体类
 *
 * @author BladeX
 * @since 2024-11-11
 */
@Data
@TableName("jwtd_spgl")
@Schema(description = "JwtdSpglEntity对象")
@EqualsAndHashCode(callSuper = true)
public class JwtdSpglEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 商品名称
	 */
	@Schema(description = "商品名称")
	private String spmc;
	/**
	 * 商品描述
	 */
	@Schema(description = "商品描述")
	private String spms;
	/**
	 * 领取地点
	 */
	@Schema(description = "领取地点")
	private String lqdd;
	/**
	 * 商品库存量
	 */
	@Schema(description = "商品库存量")
	private Integer spkcl;
	/**
	 * 兑换所需积分
	 */
	@Schema(description = "兑换所需积分")
	private String dhsxjf;
	/**
	 * 商品状态（1-已上架  2-补货中  3-已下架）
	 */
	@Schema(description = "商品状态（1-已上架  2-补货中  3-已下架）")
	private String spzt;
	/**
	 * 商品照片
	 */
	@Schema(description = "商品照片")
	private String spzp;
	/**
	 * 商品已兑换数量
	 */
	@Schema(description = "商品已兑换数量")
	private Integer spydhsl;
	/**
	 * 补货量
	 */
	@TableField(exist = false)
	private Integer bhl;

	/**
	 * 补货记录
	 */
	@TableField(exist = false)
	private List<JwtdSpglBhjlEntity> bhjlList;
	@TableField(exist = false)
	private Integer minJf;
	@TableField(exist = false)
	private Integer maxJf;
}
