/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdSpglBhjl.service.impl;

import org.springblade.modules.jwtdSpglBhjl.pojo.entity.JwtdSpglBhjlEntity;
import org.springblade.modules.jwtdSpglBhjl.pojo.vo.JwtdSpglBhjlVO;
import org.springblade.modules.jwtdSpglBhjl.excel.JwtdSpglBhjlExcel;
import org.springblade.modules.jwtdSpglBhjl.mapper.JwtdSpglBhjlMapper;
import org.springblade.modules.jwtdSpglBhjl.service.IJwtdSpglBhjlService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警务团队_商品管理_补货记录 服务实现类
 *
 * @author BladeX
 * @since 2024-11-11
 */
@Service
public class JwtdSpglBhjlServiceImpl extends BaseServiceImpl<JwtdSpglBhjlMapper, JwtdSpglBhjlEntity> implements IJwtdSpglBhjlService {

	@Override
	public IPage<JwtdSpglBhjlVO> selectJwtdSpglBhjlPage(IPage<JwtdSpglBhjlVO> page, JwtdSpglBhjlVO jwtdSpglBhjl) {
		return page.setRecords(baseMapper.selectJwtdSpglBhjlPage(page, jwtdSpglBhjl));
	}

	@Override
	public List<JwtdSpglBhjlExcel> exportJwtdSpglBhjl(Wrapper<JwtdSpglBhjlEntity> queryWrapper) {
		List<JwtdSpglBhjlExcel> jwtdSpglBhjlList = baseMapper.exportJwtdSpglBhjl(queryWrapper);
		//jwtdSpglBhjlList.forEach(jwtdSpglBhjl -> {
		//	jwtdSpglBhjl.setTypeName(DictCache.getValue(DictEnum.YES_NO, JwtdSpglBhjlEntity.getType()));
		//});
		return jwtdSpglBhjlList;
	}

	@Override
	public List<JwtdSpglBhjlEntity> selectBhjl(Long id) {
		return baseMapper.selectBhjl(id);
	}

}
