/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdSpglDhjl.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springblade.core.tenant.mp.TenantEntity;
import lombok.EqualsAndHashCode;
import org.springblade.modules.jwtdSpgl.pojo.entity.JwtdSpglEntity;
import org.springblade.modules.jwtdSpglDhjl.pojo.vo.JwtdSpglDhjlVO;

import java.io.Serial;
import java.util.List;

/**
 * 警务团队_商品管理_兑换记录 实体类
 *
 * @author BladeX
 * @since 2024-11-11
 */
@Data
@TableName("jwtd_spgl_dhjl")
@Schema(description = "JwtdSpglDhjlEntity对象")
@EqualsAndHashCode(callSuper = true)
public class JwtdSpglDhjlEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 订单编号
	 */
	@Schema(description = "订单编号")
	private String ddbh;
	/**
	 * 用户id
	 */
	@Schema(description = "用户id")
	private Long userId;
	/**
	 * 商品id
	 */
	@Schema(description = "商品id")
	private Long spId;
	/**
	 * 消耗积分
	 */
	@Schema(description = "消耗积分")
	private Integer xhjf;
	/**
	 * 领取状态
	 */
	@Schema(description = "领取状态")
	private String lqzt;
	/**
	 * 发放单位
	 */
	@Schema(description = "发放单位")
	private Long updateDept;
	/**
	 * 商品数量
	 */
	@Schema(description = "商品数量")
	private Integer spsl;
	/**
	 * 发货人
	 */
	@Schema(description = "发货人")
	private Integer fhr;
	/**
	 * 数量
	 */
	@TableField(exist = false)
	private Integer count;
	/**
	 * 积分
	 */
	@TableField(exist = false)
	private Integer jf;
	@TableField(exist = false)
	private String name;
	@TableField(exist = false)
	private String sfzh;
	@TableField(exist = false)
	private String phone;
	@TableField(exist = false)
	private String fhName;
	@TableField(exist = false)
	private List<JwtdSpglDhjlVO> spList;
}
