/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.jwtdSpglDhjl.service.impl;

import org.springblade.modules.jwtdSpglDhjl.pojo.entity.JwtdSpglDhjlEntity;
import org.springblade.modules.jwtdSpglDhjl.pojo.vo.JwtdSpglDhjlVO;
import org.springblade.modules.jwtdSpglDhjl.excel.JwtdSpglDhjlExcel;
import org.springblade.modules.jwtdSpglDhjl.mapper.JwtdSpglDhjlMapper;
import org.springblade.modules.jwtdSpglDhjl.service.IJwtdSpglDhjlService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警务团队_商品管理_兑换记录 服务实现类
 *
 * @author BladeX
 * @since 2024-11-11
 */
@Service
public class JwtdSpglDhjlServiceImpl extends BaseServiceImpl<JwtdSpglDhjlMapper, JwtdSpglDhjlEntity> implements IJwtdSpglDhjlService {

	@Override
	public IPage<JwtdSpglDhjlEntity> selectJwtdSpglDhjlPage(IPage<JwtdSpglDhjlEntity> page, JwtdSpglDhjlEntity jwtdSpglDhjl) {
		return page.setRecords(baseMapper.selectJwtdSpglDhjlPage(page, jwtdSpglDhjl));
	}

	@Override
	public List<JwtdSpglDhjlExcel> exportJwtdSpglDhjl(Wrapper<JwtdSpglDhjlEntity> queryWrapper) {
		List<JwtdSpglDhjlExcel> jwtdSpglDhjlList = baseMapper.exportJwtdSpglDhjl(queryWrapper);
		//jwtdSpglDhjlList.forEach(jwtdSpglDhjl -> {
		//	jwtdSpglDhjl.setTypeName(DictCache.getValue(DictEnum.YES_NO, JwtdSpglDhjlEntity.getType()));
		//});
		return jwtdSpglDhjlList;
	}

	@Override
	public JwtdSpglDhjlEntity detailByDdbh(JwtdSpglDhjlEntity jwtdSpglDhjl) {
		return baseMapper.detailByDdbh(jwtdSpglDhjl);
	}

	@Override
	public List<JwtdSpglDhjlVO> detailListByDdbh(JwtdSpglDhjlEntity jwtdSpglDhjl) {
		return baseMapper.detailListByDdbh(jwtdSpglDhjl);
	}

	@Override
	public boolean updateLqzt(String ddbh, Long useerId, String deptId) {
		return baseMapper.updateLqzt(ddbh, useerId, deptId);
	}

	@Override
	public List<JwtdSpglDhjlEntity> getDdList(String type, Long userId, String spmc) {
		return baseMapper.getDdList(type, userId, spmc);
	}

}
