/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.szqyCsjl.excel;


import lombok.Data;

import java.io.Serializable;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serial;


/**
 * 警务团队_散装汽油_出售记录 Excel实体类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JwtdSzqyCsjlExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 
	 */
	@ColumnWidth(20)
	@ExcelProperty("")
	private Long jyzId;
	/**
	 * 购买方类型（1.个人  2.企业）
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买方类型（1.个人  2.企业）")
	private String gmflx;
	/**
	 * 购买方名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买方名称")
	private String gmfmc;
	/**
	 * 购买方证件号
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买方证件号")
	private String gmfzjh;
	/**
	 * 购买方联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买方联系电话")
	private String gmflxdh;
	/**
	 * 购买时间
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买时间")
	private String gmsj;
	/**
	 * 购买汽油型号
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买汽油型号")
	private String gmqyxh;
	/**
	 * 购买升数
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买升数")
	private String gmss;
	/**
	 * 购买用途
	 */
	@ColumnWidth(20)
	@ExcelProperty("购买用途")
	private String gmyt;
	/**
	 * 加油操作员编号
	 */
	@ColumnWidth(20)
	@ExcelProperty("加油操作员编号")
	private String jyczybh;
	/**
	 * 加油操作员姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("加油操作员姓名")
	private String jyczyxm;
	/**
	 * 是否合规购油
	 */
	@ColumnWidth(20)
	@ExcelProperty("是否合规购油")
	private String sfhggy;
	/**
	 * 派出所证明文件/单位介绍信
	 */
	@ColumnWidth(20)
	@ExcelProperty("派出所证明文件/单位介绍信")
	private String zmzp;

}
