/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.szqyCsjl.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import org.springblade.core.tenant.mp.TenantEntity;
import lombok.EqualsAndHashCode;
import java.io.Serial;

/**
 * 警务团队_散装汽油_出售记录 实体类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Data
@TableName("jwtd_szqy_csjl")
@Schema(description = "JwtdSzqyCsjlEntity对象")
@EqualsAndHashCode(callSuper = true)
public class JwtdSzqyCsjlEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 加油站社会统一信用代码
	 */
	@Schema(description = "加油站社会统一信用代码")
	private String jyzId;
	/**
	 * 购买方类型（1.个人  2.企业）
	 */
	@Schema(description = "购买方类型（1.个人  2.企业）")
	private String gmflx;
	/**
	 * 购买方名称
	 */
	@Schema(description = "购买方名称")
	private String gmfmc;
	/**
	 * 购买方证件号
	 */
	@Schema(description = "购买方证件号")
	private String gmfzjh;
	/**
	 * 购买方联系电话
	 */
	@Schema(description = "购买方联系电话")
	private String gmflxdh;
	/**
	 * 购买时间
	 */
	@Schema(description = "购买时间")
	private String gmsj;
	/**
	 * 购买汽油型号
	 */
	@Schema(description = "购买汽油型号")
	private String gmqyxh;
	/**
	 * 购买升数
	 */
	@Schema(description = "购买升数")
	private String gmss;
	/**
	 * 购买用途
	 */
	@Schema(description = "购买用途")
	private String gmyt;
	/**
	 * 加油操作员编号
	 */
	@Schema(description = "加油操作员编号")
	private String jyczybh;
	/**
	 * 加油操作员姓名
	 */
	@Schema(description = "加油操作员姓名")
	private String jyczyxm;
	/**
	 * 是否合规购油
	 */
	@Schema(description = "是否合规购油")
	private String sfhggy;
	/**
	 * 派出所证明文件/单位介绍信
	 */
	@Schema(description = "派出所证明文件/单位介绍信")
	private String zmzp;
	/**
	 * 社会统一编码
	 */
	@Schema(description = "社会统一编码")
	private String shtybm;
	/**
	 * 经办人姓名
	 */
	@Schema(description = "经办人姓名")
	private String jbrxm;
	/**
	 * 加油站名称
	 */
	@TableField(exist = false)
	private String jyzmc;
	/**
	 * 所属区县
	 */
	@TableField(exist = false)
	private String ssqx;
	/**
	 * 所属派出所
	 */
	@TableField(exist = false)
	private String sspcs;
	/**
	 * 所属社区
	 */
	@TableField(exist = false)
	private String sssq;
	/**
	 * 开始时间
	 */
	@TableField(exist = false)
	private String start_time;
	/**
	 * 结束时间
	 */
	@TableField(exist = false)
	private String end_time;
}
