/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.szqyCsjl.service.impl;

import org.springblade.modules.szqyCsjl.pojo.entity.JwtdSzqyCsjlEntity;
import org.springblade.modules.szqyCsjl.pojo.vo.JwtdSzqyCsjlVO;
import org.springblade.modules.szqyCsjl.excel.JwtdSzqyCsjlExcel;
import org.springblade.modules.szqyCsjl.mapper.JwtdSzqyCsjlMapper;
import org.springblade.modules.szqyCsjl.service.IJwtdSzqyCsjlService;
import org.springframework.stereotype.Service;
import com.baomidou.mybatisplus.core.conditions.Wrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import org.springblade.core.mp.base.BaseServiceImpl;
import java.util.List;

/**
 * 警务团队_散装汽油_出售记录 服务实现类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Service
public class JwtdSzqyCsjlServiceImpl extends BaseServiceImpl<JwtdSzqyCsjlMapper, JwtdSzqyCsjlEntity> implements IJwtdSzqyCsjlService {

	@Override
	public IPage<JwtdSzqyCsjlVO> selectJwtdSzqyCsjlPage(IPage<JwtdSzqyCsjlVO> page, JwtdSzqyCsjlVO jwtdSzqyCsjl) {
		return page.setRecords(baseMapper.selectJwtdSzqyCsjlPage(page, jwtdSzqyCsjl));
	}

	@Override
	public List<JwtdSzqyCsjlExcel> exportJwtdSzqyCsjl(Wrapper<JwtdSzqyCsjlEntity> queryWrapper) {
		List<JwtdSzqyCsjlExcel> jwtdSzqyCsjlList = baseMapper.exportJwtdSzqyCsjl(queryWrapper);
		//jwtdSzqyCsjlList.forEach(jwtdSzqyCsjl -> {
		//	jwtdSzqyCsjl.setTypeName(DictCache.getValue(DictEnum.YES_NO, JwtdSzqyCsjlEntity.getType()));
		//});
		return jwtdSzqyCsjlList;
	}

	@Override
	public JwtdSzqyCsjlEntity detailById(Long id) {
		return baseMapper.detailById(id);
	}

}
