/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.szqyJyz.excel;


import com.alibaba.excel.annotation.ExcelIgnore;
import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;

import java.io.Serializable;
import com.alibaba.excel.annotation.ExcelProperty;
import com.alibaba.excel.annotation.write.style.ColumnWidth;
import com.alibaba.excel.annotation.write.style.ContentRowHeight;
import com.alibaba.excel.annotation.write.style.HeadRowHeight;
import java.io.Serial;


/**
 * 警务团队_散装汽油_加油站详情 Excel实体类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Data
@ColumnWidth(25)
@HeadRowHeight(20)
@ContentRowHeight(18)
public class JwtdSzqyJyzExcel implements Serializable {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 加油站名称
	 */
	@ColumnWidth(20)
	@ExcelProperty("加油站名称")
	private String jyzmc;
	/**
	 * 社会统一信用代码
	 */
	@ColumnWidth(20)
	@ExcelProperty("社会统一信用代码")
	private String shtyxydm;
	/**
	 * 加油站详址
	 */
	@ColumnWidth(20)
	@ExcelProperty("加油站详址")
	private String jyzxz;
	/**
	 * 加油站照片
	 */
	@ColumnWidth(20)
	@ExcelProperty("加油站照片")
	private String jyzzp;
	/**
	 * 负责人姓名
	 */
	@ColumnWidth(20)
	@ExcelProperty("负责人姓名")
	private String fzrxm;
	/**
	 * 证件号码
	 */
	@ColumnWidth(20)
	@ExcelProperty("证件号码")
	private String zjhm;
	/**
	 * 联系电话
	 */
	@ColumnWidth(20)
	@ExcelProperty("联系电话")
	private String lxdh;
	/**
	 * 责任民警
	 */
	@ColumnWidth(20)
	@ExcelProperty("责任民警")
	private String zrmj;
	/**
	 * 警号
	 */
	@ColumnWidth(20)
	@ExcelProperty("警号")
	private String jh;
	/**
	 * 所属区县
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属区县")
	private String ssqx;
	/**
	 * 所属派出所
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属派出所")
	private String sspcs;
	/**
	 * 所属社区
	 */
	@ColumnWidth(20)
	@ExcelProperty("所属社区")
	private String sssq;

	@ExcelIgnore
	@TableField(exist = false)
	private Long sspcsBm;
	@ExcelIgnore
	@TableField(exist = false)
	private Long sssqBm;
}
