/**
 * BladeX Commercial License Agreement
 * Copyright (c) 2018-2099, https://bladex.cn. All rights reserved.
 * <p>
 * Use of this software is governed by the Commercial License Agreement
 * obtained after purchasing a license from BladeX.
 * <p>
 * 1. This software is for development use only under a valid license
 * from BladeX.
 * <p>
 * 2. Redistribution of this software's source code to any third party
 * without a commercial license is strictly prohibited.
 * <p>
 * 3. Licensees may copyright their own code but cannot use segments
 * from this software for such purposes. Copyright of this software
 * remains with BladeX.
 * <p>
 * Using this software signifies agreement to this License, and the software
 * must not be used for illegal purposes.
 * <p>
 * THIS SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY. The author is
 * not liable for any claims arising from secondary or illegal development.
 * <p>
 * Author: Chill Zhuang (bladejava@qq.com)
 */
package org.springblade.modules.szqyJyz.pojo.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import lombok.Data;
import io.swagger.v3.oas.annotations.media.Schema;
import org.springblade.core.mp.base.BaseEntity;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.EqualsAndHashCode;
import org.springblade.modules.szqyCsjl.pojo.entity.JwtdSzqyCsjlEntity;

import java.io.Serial;
import java.util.List;

/**
 * 警务团队_散装汽油_加油站详情 实体类
 *
 * @author BladeX
 * @since 2024-10-31
 */
@Data
@TableName("jwtd_szqy_jyz")
@Schema(description = "JwtdSzqyJyzEntity对象")
@EqualsAndHashCode(callSuper = true)
public class JwtdSzqyJyzEntity extends BaseEntity {

	@Serial
	private static final long serialVersionUID = 1L;

	/**
	 * 加油站名称
	 */
	@Schema(description = "加油站名称")
	private String jyzmc;
	/**
	 * 加油站详址
	 */
	@Schema(description = "加油站详址")
	private String jyzxz;
	/**
	 * 加油站照片
	 */
	@Schema(description = "加油站照片")
	private String jyzzp;
	/**
	 * 负责人姓名
	 */
	@Schema(description = "负责人姓名")
	private String fzrxm;
	/**
	 * 证件号码
	 */
	@Schema(description = "证件号码")
	private String zjhm;
	/**
	 * 联系电话
	 */
	@Schema(description = "联系电话")
	private String lxdh;
	/**
	 * 责任民警
	 */
	@Schema(description = "责任民警")
	private String zrmj;
	/**
	 * 警号
	 */
	@Schema(description = "警号")
	private String jh;
	/**
	 * 所属区县
	 */
	@Schema(description = "所属区县")
	private Long ssqx;
	/**
	 * 所属派出所
	 */
	@Schema(description = "所属派出所")
	private Long sspcs;
	/**
	 * 所属社区
	 */
	@Schema(description = "所属社区")
	private Long sssq;
	/**
	 * 社会统一信用代码
	 */
	@Schema(description = "社会统一信用代码")
	private String shtyxydm;
	/**
	 * 法人姓名
	 */
	@Schema(description = "法人姓名")
	private String frxm;
	/**
	 * 法人电话
	 */
	@Schema(description = "法人电话")
	private String frdh;
	/**
	 * 负责人电话
	 */
	@Schema(description = "负责人电话")
	private String fzrdh;
	@TableField(exist = false)
	private List<JwtdSzqyCsjlEntity> csjlList;
	@TableField(exist = false)
	private String sspcsMc;
	@TableField(exist = false)
	private String sssqMc;
}
